Get Information About a Specific REST API Version for Migration

Returns information about a specific version.

Some Migration REST APIs are version 11.1.2.3.600, and others are other versions, such as v1 or v3. Passing the incorrect version will result in 404 errors when the API is invoked. Be sure to use the correct version for the API; api_version could be 11.1.2.3.600, v1, or v2.

Required Roles

Service Administrator, Power User, User, Viewer

REST Resource

GET /interop/rest/{api_version}

Request

Parameters:

Response

Supported Media Types: application/json

Table 2-119 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Possible values: self, recreate service
data Parameters as key value pairs passed in the request

Example of Response Body

{
	"status":0,
	"details":null,
	"links":[{
		"data":null,
		"action":"GET",
		"href":"https://<BASE-URL/interop/rest/11.1.2.3.600",
		"rel":"self"
		},{
		"data":null,
		"action":"GET",
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/services",
		"rel":"recreate service"
		},{
		"data":null,
		"action":"GET",
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/applications",
		"rel":"application service"
		},{
		"data":null,
		"action":"GET",	"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/applicationsnapshots	"rel":"application snapshot service"
	},{
"data":null,
"action":"POST",
"rel":"feedback services",
"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/feedback"
}]
}

cURL Sample

funcGetLCMVersionDetails() {
	url=$SERVER_URL/interop/rest/$API_VERSION
	funcExecuteRequest "GET" $url

	output=`cat response.txt`
	status=`echo $output | jq '.status'`
	if [ $status == 0 ]; then
		echo "Version $API_VERSION details :"
		count=`echo $output | jq '.links | length'`
		i=0
		while [ $i -lt $count ]; do
			echo "Service : " `echo $output | jq '.links['$i'].rel'`
			echo "URL :" `echo $output | jq '.links['$i'].href'`
			echo "Action :" `echo $output | jq '.links['$i'].action'`
			echo ""
			i=`expr $i + 1`
		done
	else
		error=`echo $output | jq '.details'`
		echo "Error occurred. " $error
	fi
	funcRemoveTempFiles "respHeader.txt" "response.txt"
}